Get a map's pagination - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service provides information about the pagination of a map and its topics.

Method Endpoint
GET
/api/khub/maps/{mapId}/pages
Path parameter Type Description
{mapId} String Expects the id associated with the map. Users can get the id by listing maps or searching maps.

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

This web service requires authentication on portals with mandatory authentication.

Response body

The following lines show an example of a JSON response body for a map set to Infinite reader:

{
  "configuration": {
    "splitCurrentPageToc": false
  },
  "paginatedToc": [
    {
      "tocId": "ZY8a8yw3DTBAXSSSADWVWw",
      "contentId": "TjBx2PY0HjetO0F2iVoehQ",
      "title": "Overview",
      "prettyUrl": "/r/Add-a-DITA-OT-plugin/Overview",
      "hasRating": false,
      "pageConfiguration": {
        "isVisible": true
      },
      "pageToc": [],
      "children": []
    },
    {
      "tocId": "2bqykV00UCovtLQzgbbunw",
      "contentId": "fsHAV~oHGDu5AoMbnEmIzA",
      "title": "macOS procedure",
      "prettyUrl": "/r/Add-a-DITA-OT-plugin/macOS-procedure",
      "hasRating": false,
      "pageConfiguration": {
        "isVisible": true
      },
      "pageToc": [],
      "children": []
    },
    {
      "tocId": "MkmPdhaIPzZz4ZFKpc_Z_g",
      "contentId": "nOtsRz6sfMCzUx0uHlgAbA",
      "title": "Windows procedure",
      "prettyUrl": "/r/Add-a-DITA-OT-plugin/Windows-procedure",
      "hasRating": false,
      "pageConfiguration": {
        "isVisible": true
      },
      "pageToc": [],
      "children": []
    },
    {
      "tocId": "nPbJoMTP_S3v2XHLt79WyQ",
      "contentId": "Q7wEOeUER6h~b~XeQ9a78w",
      "title": "Reset to default",
      "prettyUrl": "/r/Add-a-DITA-OT-plugin/Reset-to-default",
      "hasRating": false,
      "pageConfiguration": {
        "isVisible": true
      },
      "pageToc": [],
      "children": []
    },
    {
      "tocId": "q7mvHgDu07FCwReCav1WdA",
      "contentId": "S2czPcxfphTemB6THz~_zA",
      "title": "Use case",
      "prettyUrl": "/r/Add-a-DITA-OT-plugin/Use-case",
      "hasRating": false,
      "children": [
        {
          "tocId": "ZAewPCTSXhLsB3J0Phrvxw",
          "contentId": "Tk7o5GafBvdw4xpMBASwPg",
          "title": "PlantUML diagrams plugin",
          "prettyUrl": "/r/Add-a-DITA-OT-plugin/Use-case/PlantUML-diagrams-plugin",
          "hasRating": false,
          "pageConfiguration": {
            "parentsVisibility": [
              true
            ],
            "isVisible": true
          },
          "pageToc": [],
          "children": []
        }
      ]
    }
  ],
  "translationError": false
}

The following lines show an example of a JSON response body for a map set to Pagination at level 1 with a Split table of contents:

{
  "configuration": {
    "splitCurrentPageToc": true
  },
  "paginatedToc": [
    {
      "tocId": "ZY8a8yw3DTBAXSSSADWVWw",
      "contentId": "TjBx2PY0HjetO0F2iVoehQ",
      "title": "Overview",
      "prettyUrl": "/r/Add-a-DITA-OT-plugin/Overview",
      "hasRating": false,
      "pageConfiguration": {
        "isVisible": true
      },
      "pageToc": [],
      "children": []
    },
    {
      "tocId": "2bqykV00UCovtLQzgbbunw",
      "contentId": "fsHAV~oHGDu5AoMbnEmIzA",
      "title": "macOS procedure",
      "prettyUrl": "/r/Add-a-DITA-OT-plugin/macOS-procedure",
      "hasRating": false,
      "pageConfiguration": {
        "isVisible": true
      },
      "pageToc": [],
      "children": []
    },
    {
      "tocId": "MkmPdhaIPzZz4ZFKpc_Z_g",
      "contentId": "nOtsRz6sfMCzUx0uHlgAbA",
      "title": "Windows procedure",
      "prettyUrl": "/r/Add-a-DITA-OT-plugin/Windows-procedure",
      "hasRating": false,
      "pageConfiguration": {
        "isVisible": true
      },
      "pageToc": [],
      "children": []
    },
    {
      "tocId": "nPbJoMTP_S3v2XHLt79WyQ",
      "contentId": "Q7wEOeUER6h~b~XeQ9a78w",
      "title": "Reset to default",
      "prettyUrl": "/r/Add-a-DITA-OT-plugin/Reset-to-default",
      "hasRating": false,
      "pageConfiguration": {
        "isVisible": true
      },
      "pageToc": [],
      "children": []
    },
    {
      "tocId": "q7mvHgDu07FCwReCav1WdA",
      "contentId": "S2czPcxfphTemB6THz~_zA",
      "title": "Use case",
      "prettyUrl": "/r/Add-a-DITA-OT-plugin/Use-case",
      "hasRating": false,
      "pageConfiguration": {
        "isVisible": true
      },
      "pageToc": [
        {
          "tocId": "ZAewPCTSXhLsB3J0Phrvxw",
          "contentId": "Tk7o5GafBvdw4xpMBASwPg",
          "title": "PlantUML diagrams plugin",
          "prettyUrl": "/r/Add-a-DITA-OT-plugin/Use-case/PlantUML-diagrams-plugin",
          "hasRating": false,
          "children": []
        }
      ],
      "children": []
    }
  ],
  "translationError": false
}

For a comprehensive list of all possible return codes, see Return codes.